Package com.mckoi.database

## Interface BlobStoreInterface

    public interface BlobStoreInterface

A very restricted interface for accessing a blob store. This is used by a MasterTableDataSource implementation to query and resolve blob information.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `establishReference​(long reference_id)` Tells the BlobStore that a static reference has been established in a table to the blob referenced by the given id.
`Ref` `getLargeObject​(long reference_id)` Given a large object reference identifier, generates a Ref implementation that provides access to the information in the large object.
`void` `releaseReference​(long reference_id)` Tells the BlobStore that a static reference has been released to the given blob.

### Method Detail

#### getLargeObject

    Ref getLargeObject​(long reference_id)
                throws java.io.IOException

Given a large object reference identifier, generates a Ref implementation that provides access to the information in the large object. The Ref implementation returned by this object is a read-only static object. This may return either a BlobRef or a ClobRef object depending on the type of the object.

Throws:
  `java.io.IOException`

#### establishReference

    void establishReference​(long reference_id)

Tells the BlobStore that a static reference has been established in a table to the blob referenced by the given id. This is used to count references to a blob, and possibly clean up a blob if there are no references remaining to it.

#### releaseReference

    void releaseReference​(long reference_id)

Tells the BlobStore that a static reference has been released to the given blob. This would typically be called when the row in the database is removed.